> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Add a new registry to an account > Add a new registry to an account. ## OpenAPI ````json POST /v1/registry { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/registry": { "post": { "tags": [ "Registry" ], "summary": "Add a new registry to an account", "description": "Add a new registry to an account.", "operationId": "createRegistry", "requestBody": { "$ref": "#/components/requestBodies/RegistryRequest" }, "responses": { "200": { "description": "Registry information.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Registry" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Writer,Manager,ActiveAccount" } } }, "components": { "requestBodies": { "RegistryRequest": { "description": "Request to add a registry to an account.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/RegistryRequest" } } }, "required": true, "x-bodyName": "body" } }, "schemas": { "Registry": { "required": [ "url", "registry_id" ], "type": "object", "properties": { "url": { "type": "string", "description": "URL of the registry." }, "registry_id": { "type": "string", "description": "UUID of the registry.", "format": "uuid" }, "description": { "type": "string", "description": "Description of the registry." }, "username": { "type": "string", "description": "Username of the registry." } } }, "RegistryRequest": { "required": [ "url", "credential" ], "type": "object", "properties": { "url": { "type": "string", "description": "URL of the registry." }, "credential": { "$ref": "#/components/schemas/CredentialType" }, "description": { "type": "string", "description": "Description of the registry." } } }, "CredentialType": { "maxProperties": 1, "minProperties": 1, "type": "object", "properties": { "default": { "$ref": "#/components/schemas/AuthConfig" } }, "description": "" }, "AuthConfig": { "required": [ "username" ], "type": "object", "properties": { "username": { "type": "string", "description": "User name for docker registry authentication" }, "password": { "type": "string", "description": "Password for docker registry authentication. Note that this field may be redacted when it appears in API responses." } }, "description": "Credentials for authenticating to a docker registry" } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````